Publish a survey

Publishes a new survey.

Required permissions:

  • View, Create, Edit and Delete Surveys
  • Edit and Delete Surveys owned by other users
Body Params

Select the type of survey you want to publish to see the parameters.

string
required

Name of the survey

string
required

ID of the template from which to create the survey.

string
enum
required

The type of survey to publish.

Allowed:
string
enum
required

Set to Scheduled to publish the survey. Set to Draft to save the survey as a draft.

Allowed:
integer
required
1 to 24

The number of hours after a user dismisses the survey until they receive they receive another survey notification.

string
required

The starting date and time of the survey in ISO string format.

string
required

The end date and time of the survey in ISO string format.

string
enum
required

Sets whether the survey scheduling is based on each device's local time zone, or UTC. For example, if you want the survey to appear for each device at 9AM in each time zone, set to Local. If you want the survey to appear simultaneously for all devices regardless of their time zones, set to UTC.

Allowed:
string
enum
required

Sets how survey participants are targeted.

  • If you target Users, the survey appears for all users that sign in on a devices. You must use included_users to specify which users to target. By default the survey appears for the same user multiple times if they sign in from more than one device (you can change this with the once_per_user parameter). You might want to target users if more than one employee uses the same device.
  • If you target Devices, the survey appears only once for each device. You must use included_devices to specify which devices to target.
Allowed:
boolean
Defaults to false

If targeting_type is set to Users, you can set this to true so that the survey can be completed by a certain user only once, even if they sign in from multiple devices.

integer
5 to 100
Defaults to 100

The percentage of targeted users/devices to receive the survey. For example, if you set to 50, then 50% of all users/devices that meet your inclusion and exclusion rules receive the survey (randomly selected).

included_users
object

Applicable and required only if targeting_type is set to Users. To target all users, set all to true. Otherwise, set all to false and use the directory_services_groups to target AD groups.

included_devices
object

Applicable and required only if targeting_type is set to Devices. To target all devices, set all to true. Otherwise, set all to false and use the other parameters to specify device targets.

excluded_devices
object

Devices to exclude from receiving the survey.

excluded_users
object

Users to exclude from receiving the survey.

boolean
Defaults to false

Sets whether survey participant identities are recorded (non-anonymous).

Response
200

Survey created

Language
Credentials
Bearer
LoadingLoading…
Response
Click Try It! to start a request and see the response here!